Page MenuHomePhabricator

Wikistats 2.0: Add statistics for the geographical origin of the contributors
Closed, ResolvedPublic0 Estimated Story Points

Description

Hello,
I think it would be really interesting to know the geographical origin of the contributors for a given wiki. The idea is to have something similar to https://stats.wikimedia.org/v2/#/en.wiktionary.org/reading/pageviews-by-country , not for readers but for contributors. I think it could show where does the contributors come from, especially for small wiki.

Event Timeline

Pamputt triaged this task as Medium priority.Mar 4 2018, 11:20 AM
Pamputt created this task.
ezachte added a comment.EditedMar 4 2018, 12:57 PM

@Pamputt the url you give is about views not viewers. This is so often mixed up.

I expect your question is going to stir discussions on privacy protection, and it should. IMO it would already be quite helpful to revive stats on edits (rather than editors), which we used to have years ago. Same concerns apply, but the weighing of benefits vs risks will be different.

https://stats.wikimedia.org/wikimedia/squids/SquidReportPageEditsPerCountryOverview2014Q4.htm

@Pamputt the url you give is about views not viewers. This is so often mixed up.

I think Pamputt knows that—they said: "the idea is to have something similar...not for readers but for contributors." :)

This is essentially the same request as T131280. That task has been held up by privacy concerns for several years, but I believe it's now being worked on. That task originated before Wikistats 2.0, but I think that would be the logical place for the information.

@Milimetric, can you confirm that if aggregate editor location data passes our privacy standards, it would go in Wikistats 2.0? If so, we can merge this task.

@Milimetric, can you confirm that if aggregate editor location data passes our privacy standards, it would go in Wikistats 2.0? If so, we can merge this task.

@Neil_P._Quinn_WMF: confirmed. I'll merge. And yes, agree with all of you, any data we can safely publish here would be not only great and fun but very useful for important work. I'm working on it as we speak.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptMar 7 2018, 3:11 PM
Nuria edited projects, added Analytics; removed Analytics-Kanban.Nov 19 2019, 12:12 AM
fdans moved this task from Incoming to Wikistats on the Analytics board.Nov 21 2019, 5:54 PM

This is scheduled to be added to wikistats Q2 2020 (Sep to Dec)

Nuria assigned this task to fdans.Oct 13 2020, 10:21 PM
CKoerner_WMF added a subscriber: CKoerner_WMF.EditedOct 14 2020, 2:27 PM

IANAA (I am not an analyst) so there's little I can contribute to this task, but I wanted to give an example of how this sort of data could be used. I work in Comms for the Foundation and part of my responsibilities is trying to help amplify and share the stories of the movement volunteer contributors. I'm working on a profile of an editor for Diff and wanted to express how their community-building work has impacted editorship in their country. With stats about editorship by geographic area I could say something like, "When Bethany started editing Malagasy Wikipedia in 2014, contributions for their home country of Madagascar comprised less than one percent of total edits made to the website globally. Today it's four percent."

That would be cool. With statistics like the ones potentially provided by this feature, a dash of quantitive metrics can help solidify the impact communities and contributors have at the local – and movement – level.

Nuria added a comment.Oct 14 2020, 2:38 PM

@CKoerner_WMF just so you know this data has been publicy available for now about a year, the task in question is to visualize it via Wikistats.

For the public data files (updated monthly) see: https://wikitech.wikimedia.org/wiki/Analytics/Data_Lake/Edits/Geoeditors/Public

and https://dumps.wikimedia.org/other/geoeditors/readme.html

@Nuria I see that Chris is talking about "total edits" as opposed to editors, so that would mean publishing the edits numbers, which we already send to GII and are somewhat less problematic than the editor numbers. @CKoerner_WMF it would be great if you could confirm, perhaps by discussing with an analyst and weighing pros and cons of using *editor* vs. *edit* statistics. The editor statistics will be available in Wikistats shortly while the edit statistics would need more time and would probably not be our top priority for a while.

Nuria added a comment.Oct 15 2020, 8:17 PM

I think that CKoerner_WMF.'s works fine with editors as well: "When Bethany started editing Malagasy Wikipedia in 2014, there were no Wikipedia editors in her home country of Madagascar" so I do not really see a strong use case for edits versus editors in this case

Change 647792 had a related patch set uploaded (by Fdans; owner: Fdans):
[analytics/wikistats2@master] Add Active Editors per Country metric to Wikistats

https://gerrit.wikimedia.org/r/647792

fdans raised the priority of this task from Medium to High.Dec 16 2020, 2:41 PM
fdans added a project: Analytics-Kanban.
fdans moved this task from Next Up to In Code Review on the Analytics-Kanban board.

Change 647792 merged by jenkins-bot:
[analytics/wikistats2@master] Add Active Editors per Country metric to Wikistats

https://gerrit.wikimedia.org/r/647792

fdans closed this task as Resolved.Jan 25 2021, 7:01 PM